import javax.swing.JOptionPane; // giriş çıkış

class Kutu
{
private double en;
private double boy;
private double yukseklik;

//kurucu metod kutu
Kutu(double e,double b,double y)
{
en=e;
boy=b;
yukseklik=y;
}

//sınıf değişkenlerini değiştirme set metodu
public void setKutu(double e,double b,double y)
{
en=e;
boy=b;
yukseklik=y;
}

//sınıf değişkenlerine ulaşma (get) metotları
public double getEn()
{return en;}

public double getBoy()
{return boy;}

public double getTukseklik()
{return yukseklik;}

//bu metot kutunun hacmini hesaplar (işlem- hesap) metodu
public double hacim()
{
return en*boy*yukseklik;
}

//string çıktı metodu
public String toString()
{
  return("en = "+en+" boy = "+boy+" yükseklik = "+yukseklik+"\n"+
         "Hacim = "+hacim()+"\n");
}

}

class kututesti4
{
   public static void main(String args[])
   {
   double hacim;
   String s="";
   Kutu kutu1=new Kutu(10.0,20.0,30.0);
   s+=kutu1.toString();
   Kutu kutu2=new Kutu(5.0,10.0,15.0);
   s+=kutu2.toString();
      JOptionPane.showMessageDialog(null,s,
     "Kutu testi 4",JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
   }
}

